import java.awt.*;
import java.awt.image.*;
import java.awt.color.*;
import java.io.*;
import javax.imageio.*;
import javax.swing.JFrame;

// MATLAB: 0.2989 * R + 0.5870 * G + 0.1140 * B

public class Test2 {

    public static void infoImage(BufferedImage img) {
	System.out.println(img);
	System.out.println("Type: " + getTypeString(img.getType()));
	ColorModel model = img.getColorModel();
	ColorSpace space = model.getColorSpace();
	System.out.println("ColorSpace Type: " + space.getType());
	System.out.println("This is CS_sRGB: " + space.isCS_sRGB());
    }

    public static String getTypeString(int type) {
	switch (type) {
	case 0: return "CUSTOM";
	case 1: return "INT_RGB";
	case 5: return "3BYTE_BGR";
	case 10: return "BYTE_GRAY";
	default: return "UNKNOWN";
	}
    }

    public static void main(String[] args) {

	String filename = "gray.png";
	if (args.length>0) filename = args[0];

	showImage f1 = new showImage(filename);
	f1.setLocation(100,100);
	f1.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

	int w = 120;
	int p;
	Color c;
	double frac, sum=0.0;
	infoImage(f1.img);
	for (int n=0; n<3; n++) {
		p = f1.img.getRGB(60+w*n,60);
		c = new Color(p);
		System.out.format("pixel %x%n",p);		
		System.out.println(c);
		frac = c.getRed();
		System.out.format("fraction %g%n",frac);
		sum = sum + frac;
	}
	System.out.format("Sum %g%n",sum);
   }
}