import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;




public class TestImage2 {

	public void createImage(String filename) 
	{
		
		 
		int w = 30;
		int h = 120;

		BufferedImage img = new BufferedImage(12*w, h,
                    BufferedImage.TYPE_INT_RGB);
		Graphics2D g2 = img.createGraphics();
		g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
					RenderingHints.VALUE_ANTIALIAS_ON);
		// fill background
		for (int n=0; n<12; n++) {
			int g = (n*255)/12;
			Color bg = new Color(g,g,g);
			g2.setColor(bg);
			g2.fillRect(n*w,0,w,h);
		}


		// write to file
		String format = "png";
		File file = new File(filename + "." + format);
		try {
			ImageIO.write(img, format, file);
		} catch (IOException e) {
			System.out.println("image write failed");
			//e.printStackTrace();
		}
	}



	public static void main(String[] args) {
		String name = "test2";
		if (args.length>0) name = (args[0]);
		TestImage2 proj = new TestImage2();
		proj.createImage(name);
	}

}